Loading...
Searching...
No Matches
itk::ANNBruteForceTree< TListSample > Class Template Reference
Common » ANNwrap

`#include <itkANNBruteForceTree.h>`

## Detailed Description

template<class TListSample>
class itk::ANNBruteForceTree< TListSample >

Definition at line 36 of file itkANNBruteForceTree.h.

Inheritance diagram for itk::ANNBruteForceTree< TListSample >:
[legend]

## Public Types

using | ANNBruteForceTreeType = ANNbruteForce
using | ANNPointSetType = ANNpointSet
using | ConstPointer = SmartPointer<const Self>
using | Pointer = SmartPointer<Self>
using | Self = ANNBruteForceTree
using | Superclass = BinaryANNTreeBase<TListSample>
Public Types inherited from itk::BinaryANNTreeBase< TListSample >
using | ANNPointSetType = ANNpointSet
using | ConstPointer = SmartPointer<const Self>
using | MeasurementVectorSizeType
using | MeasurementVectorType
using | Pointer = SmartPointer<Self>
using | SampleType
using | Self = BinaryANNTreeBase
using | Superclass = BinaryTreeBase<TListSample>
using | TotalAbsoluteFrequencyType
Public Types inherited from itk::BinaryTreeBase< TListSample >
using | ConstPointer = SmartPointer<const Self>
using | MeasurementVectorSizeType = typename SampleType::MeasurementVectorSizeType
using | MeasurementVectorType = typename SampleType::MeasurementVectorType
using | Pointer = SmartPointer<Self>
using | SampleType = TListSample
using | Self = BinaryTreeBase
using | Superclass = DataObject
using | TotalAbsoluteFrequencyType = typename SampleType::TotalAbsoluteFrequencyType

## Public Member Functions

void | GenerateTree () override
ANNPointSetType * | GetANNTree () const override
virtual const char * | GetClassName () const
| ITK_DISALLOW_COPY_AND_MOVE (ANNBruteForceTree)
Public Member Functions inherited from itk::BinaryANNTreeBase< TListSample >
| ITK_DISALLOW_COPY_AND_MOVE (BinaryANNTreeBase)
Public Member Functions inherited from itk::BinaryTreeBase< TListSample >
TotalAbsoluteFrequencyType | GetActualNumberOfDataPoints () const
MeasurementVectorSizeType | GetDataDimension () const
TotalAbsoluteFrequencyType | GetNumberOfDataPoints () const
virtual const SampleType * | GetSample ()
| ITK_DISALLOW_COPY_AND_MOVE (BinaryTreeBase)
virtual void | SetSample (SampleType *_arg)

## Static Public Member Functions

static Pointer | New ()

## Protected Member Functions

| ANNBruteForceTree ()
| ~ANNBruteForceTree () override
Protected Member Functions inherited from itk::BinaryANNTreeBase< TListSample >
| BinaryANNTreeBase ()=default
| ~BinaryANNTreeBase () override=default
Protected Member Functions inherited from itk::BinaryTreeBase< TListSample >
| BinaryTreeBase ()
void | PrintSelf (std::ostream &os, Indent indent) const override
| ~BinaryTreeBase () override=default

## Protected Attributes

ANNBruteForceTreeType * | m_ANNTree {}

## Member Typedef Documentation

## ANNBruteForceTreeType

template<class TListSample>

using itk::ANNBruteForceTree< TListSample >::ANNBruteForceTreeType = ANNbruteForce

Definition at line 61 of file itkANNBruteForceTree.h.

## ANNPointSetType

template<class TListSample>

using itk::ANNBruteForceTree< TListSample >::ANNPointSetType = ANNpointSet

Typedef's.

Definition at line 60 of file itkANNBruteForceTree.h.

## ConstPointer

template<class TListSample>

using itk::ANNBruteForceTree< TListSample >::ConstPointer = SmartPointer<const Self>

Definition at line 45 of file itkANNBruteForceTree.h.

## Pointer

template<class TListSample>

using itk::ANNBruteForceTree< TListSample >::Pointer = SmartPointer<Self>

Definition at line 44 of file itkANNBruteForceTree.h.

## Self

template<class TListSample>

using itk::ANNBruteForceTree< TListSample >::Self = ANNBruteForceTree

Standard itk.

Definition at line 42 of file itkANNBruteForceTree.h.

## Superclass

template<class TListSample>

using itk::ANNBruteForceTree< TListSample >::Superclass = BinaryANNTreeBase<TListSample>

Definition at line 43 of file itkANNBruteForceTree.h.

## Constructor & Destructor Documentation

## ANNBruteForceTree()

template<class TListSample>

itk::ANNBruteForceTree< TListSample >::ANNBruteForceTree | ( |  | ) |

protected

## ~ANNBruteForceTree()

template<class TListSample>

itk::ANNBruteForceTree< TListSample >::~ANNBruteForceTree | ( |  | ) |

override protected

## Member Function Documentation

## GenerateTree()

template<class TListSample>

void itk::ANNBruteForceTree< TListSample >::GenerateTree | ( |  | ) |

override virtual

Set the maximum number of points that are to be visited. Generate the tree.

Implements itk::BinaryTreeBase< TListSample >.

## GetANNTree()

template<class TListSample>

ANNPointSetType * itk::ANNBruteForceTree< TListSample >::GetANNTree | ( |  | ) | const

inline override virtual

Get the ANN tree.

Implements itk::BinaryANNTreeBase< TListSample >.

Definition at line 75 of file itkANNBruteForceTree.h.

## GetClassName()

template<class TListSample>

virtual const char * itk::ANNBruteForceTree< TListSample >::GetClassName | ( |  | ) | const

virtual

ITK type info.

Reimplemented from itk::BinaryANNTreeBase< TListSample >.

## ITK_DISALLOW_COPY_AND_MOVE()

template<class TListSample>

itk::ANNBruteForceTree< TListSample >::ITK_DISALLOW_COPY_AND_MOVE | ( | ANNBruteForceTree< TListSample > |  | ) |

## New()

template<class TListSample>

Pointer itk::ANNBruteForceTree< TListSample >::New | ( |  | ) |

static

New method for creating an object using a factory.

## Field Documentation

## m_ANNTree

template<class TListSample>

ANNBruteForceTreeType* itk::ANNBruteForceTree< TListSample >::m_ANNTree {}

protected

Member variables.

Definition at line 86 of file itkANNBruteForceTree.h.

Generated on 1768596610 for elastix by 1.15.0 |